Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 28-07-2012 03:15:17

artotal
Membre
Inscription : 27-07-2012

erreur avec subversion

Bonjour,
j'aimerais installer Subversion sous Debian.
Mais j'ai des erreurs.
Je suis assez débutant.

vds1074:~# aptitude install subversion
Lecture des listes de paquets... Fait
Construction de l'arbre des d?pendances... Fait
Lecture de l'information d'?tat ?tendu        
Initialisation de l'?tat des paquets... Fait
Lecture des descriptions de t?ches... Fait  
Construction de la base de donn?es des ?tiquettes... Fait
Les NOUVEAUX paquets suivants vont ?tre automatiquement install?s?:
  libneon26 libsvn1
Les paquets suivants ont ?t? conserv?s?:
  apache-common apache2 apache2-mpm-prefork apache2-utils apache2.2-common
  apt apt-utils awstats bind9 bind9-host binutils clamav-base clamav-daemon
  clamav-freshclam courier-authdaemon courier-authlib courier-authlib-mysql
  courier-authlib-userdb cpio debian-archive-keyring dhcp3-client
  dhcp3-common dnsutils dpkg-dev dselect fam gnupg gpgv grub initscripts
  libapache2-mod-php5 libapr1 libaprutil1 libaudiofile0 libavahi-client3
  libavahi-common-data libavahi-common3 libavahi-glib1 libbind9-0
  libc-client2002edebian libcairo2 libcupsys2 libcurl3 libdbus-1-3 libdns22
  libexpat1 libfam0 libfreetype6 libgd2-xpm libglib2.0-0 libgnutls13
  libhal-storage1 libhal1 libhtml-parser-perl libisc11 libisccc0 libisccfg1
  libkrb53 libltdl3 liblwres9 libmysqlclient15-dev libnet-dns-perl
  libnewt0.52 libpango1.0-0 libpango1.0-common libpcre3 libpng12-0 libpq4
  libruby1.8 libsasl2 libsasl2-2 libsasl2-modules libsasl2-modules-sql
  libssl0.9.8 libtiff4 libxml2 libxslt1.1 locales mlock mysql-common
  mysql-server-5.0 ntp ntpdate openssh-client openssh-server openssl
  php-pear php4-cgi php4-common php5 php5-cli php5-common php5-curl php5-gd
  php5-imap php5-mcrypt php5-mysql phpmyadmin python2.4 python2.4-minimal
  rsync ruby1.8 sasl2-bin squirrelmail ssh sysv-rc tzdata unrar vim-common
  vim-tiny webmin wget whiptail
Les NOUVEAUX paquets suivants vont ?tre install?s?:
  libneon26 libsvn1 subversion
0 paquets mis ? jour, 3 nouvellement install?s, 0 ? enlever et 113 non mis ? jour.
Il est n?cessaire de t?l?charger 1742ko d'archives. Apr?s d?paquetage, 5022ko seront utilis?s.
Voulez-vous continuer?? [Y/n/?] y
ATTENTION?: des versions non certifi?es des paquets suivants vont
?tre install?es.

Des paquets non certifi?s peuvent compromettre la s?curit? de votre
syst?me. Vous ne devriez les installer que si vous ?tes certain
que c'est bien votre intention.

  libneon26 subversion libsvn1

Voulez-vous ignorer cet avertissement et continuer quand m?me??
Pour continuer, entrer ??Oui??. Pour interrompre l'installation, entrer ??Non???: oui
?criture de l'information d'?tat ?tendu... Fait
Prendre?: 1 ftp://debian.sivit.org etch/main libneon26 0.26.2-4 [119kB]
Prendre?: 2 ftp://ftp.free.fr etch/main libsvn1 1.4.2dfsg1-3 [595kB]
Err ftp://ftp.free.fr etch/main libsvn1 1.4.2dfsg1-3
  Impossible de r?cup?rer le fichier, le serveur a r?pondu ??Failed to open file.  ?? [IP?: 212.27.60.27 21]
Prendre?: 3 ftp://ftp.free.fr etch/main subversion 1.4.2dfsg1-3 [1028kB]
Err http://security.debian.org etch/updates/main libsvn1 1.4.2dfsg1-3
  404 Not Found [IP?: 212.211.132.32 80]
Err ftp://ftp.free.fr etch/main subversion 1.4.2dfsg1-3              
  Impossible de r?cup?rer le fichier, le serveur a r?pondu ??Failed to open file.  ?? [IP?: 212.27.60.27 21]
Err http://security.debian.org etch/updates/main subversion 1.4.2dfsg1-3
  404 Not Found [IP?: 212.211.132.32 80]
Prendre?: 4 ftp://ftp.free.fr etch/main libneon26 0.26.2-4 [119kB]
Err ftp://ftp.free.fr etch/main libneon26 0.26.2-4
  Impossible de r?cup?rer le fichier, le serveur a r?pondu ??Failed to open file.  ?? [IP?: 212.27.60.27 21]
E: Failed to fetch ftp://ftp.free.fr/mirrors/ftp.debian.org/pool/main/n/neon26/libneon26_0.26.2-4_i386.deb: Impossible de r?cup?rer le fichier, le serveur a r?pondu ??Failed to open file.  ?? [IP?: 212.27.60.27 21]
vds1074:~#



Merci

Hors ligne

#2 28-07-2012 03:24:11

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : erreur avec subversion

Salut

Première chose, si je me fis à ce que je lis plus haut, je vois que tu utilises encore etch ! Il y a une raison pour cela ? Etch c'est une ancienne, ancienne stable. Depuis, il y a eu Lenny et maintenant Squeeze. La première chose à faire serait de passer à Squeeze qui est la stable actuelle.

Par contre, le saut entre Etch et Squeeze est grand ; normalement il faut passer par Lenny puis mettre Squeeze.

Dernière modification par martinux_qc (28-07-2012 03:35:59)


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#3 28-07-2012 04:33:12

artotal
Membre
Inscription : 27-07-2012

Re : erreur avec subversion

Merci pour les infos mais comment je fais cela ?
J'utilise un serveur Virtuel dedier.
Je n'ai pas vraiment envie de changer le serveur qui fonctionne tres bien.
Je pense qu'ont à le même fuseau horraire, je suis à Austin smile
Merci

Dernière modification par artotal (28-07-2012 04:38:21)

Hors ligne

#4 28-07-2012 04:56:31

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : erreur avec subversion

Ok, c'est un peu différent dans ce cas. Je te suggère donc de regarder du côté des archives Debian pour installer un ancien paquet qui sera compatible avec ta version de Debian.

(Je suis de Montréal)

Dernière modification par martinux_qc (28-07-2012 04:57:07)


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#5 28-07-2012 05:29:56

artotal
Membre
Inscription : 27-07-2012

Re : erreur avec subversion

http://snapshot.debian.org/package/subversion/1.7.5-1/
J'ai télécharger celle-là, sera-t-elle compatible ?

subversion_1.7.5.orig.tar.gz

Une fois télécherger comment je dois l'istaller sur mon serveur ?

Je suis parisien d'origine.

J'aime bien Gide, et cette phrase est géniale de justèce smile

Hors ligne

#6 28-07-2012 06:06:02

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : erreur avec subversion

Perso, je ne me suis jamais servi du dépôt snapshot mais normalement en s'inspirant de ce tuto on arrive à installer ce que l'on veut. L'avis sur la question de gens qui utilisent un serveur dédié serait aussi intéressante ; en espérant que l'un d'entre eux lisent ce fil.

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#7 28-07-2012 07:24:37

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : erreur avec subversion

Salut artotal et bienvenue sur df !

Ne peux-tu faire un doublon virtuel de ton serveur dédié dans ton pc perso et voir ce que donne la mise à jour, un coup Lenny puis, si tout se passe bien, un coup Squeeze ?
Voir le tuto des migrations là :
http://debian-facile.org/doc:install:mi … references
Avec les recommandations pour le faire sereinement ! wink

Il me semble aussi que la sécurité sous Etch doit être un peu entamée, car je ne suis pas sûr qu'elle soit maintenue au-delà des old-stable par les dev debian ?

Amitié, Joel smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#8 28-07-2012 17:46:25

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : erreur avec subversion

Salut

Voici une information qui devrait t'être très utile. Comme mentionné, etch est une ancienne, ancienne stable. Par contre, on peut encore trouver ses paquets dans les archives de la distribution. Une autre page intéressante : recherches de paquets dans les archives. En résumé, il s'agit juste de modifier son fichiers sources.list et on trouve tout ce que l'on veut : index des distributions

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

Pied de page des forums